<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerArusKas extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 5) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_kasir/insert_model');
        $this->load->model('bagian_kasir/select_model');
        $this->load->model('bagian_kasir/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        // Notifikasi
        $notif                 = $this->notifikasi->notif_kasir();
        // End_notifikasi 
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        // Data Arus Kas
        $data_arus_kas_umum    = $this->select_model->getDataARusKasArisanBulanan();
        $masuk_kasharian       = $this->select_model->getDataARusKasArisanMasukHarian();
        $masuk_kasbulanan      = $this->select_model->getDataARusKasArisanMasukBulanan();
        $keluar_kasharian      = $this->select_model->getDataARusKasArisanKeluarHarian();
        $Keluar_kasbulanan     = $this->select_model->getDataARusKasArisanKeluarBulanan();
        $tampil_tahun          = $this->select_model->getDataTahunTransaksi();
        // echo '<pre>';
        // var_dump($data_arus_kas_umum);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'kas',
            'page'                => 'index',
            'judul'               => 'Data Arus Kas || Bagian Kasir',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            'tampil_tahun'        => $tampil_tahun,
            // Isi data konten
            'arus_kas'            => $data_arus_kas_umum,
            'masuk_harian'        => $masuk_kasharian,
            'masuk_bulanan'       => $masuk_kasbulanan,
            'keluar_harian'       => $keluar_kasharian,
            'keluar_bulanan'      => $Keluar_kasbulanan
        );
        $this->load->view('kasir/index', $data);
    }
    public function crud()
    {
        if (isset($_POST['simpanTransaksiKas'])) :
            // Menambahkan data kas pendapatan arisan
            $this->insert_model->simpanTransaksiKasKasir();
            redirect('kasir/kas');
        endif;
    }
    public function tanggal()
    {
        if (isset($_POST['filterTransaksiKasTanggal'])) {
            // Notifikasi
            $notif                 = $this->notifikasi->notif_kasir();
            // End_notifikasi 
            // Data Login
            $bulan                 = htmlspecialchars($this->input->post('bulan_transaksi'));
            $tahun                 = htmlspecialchars($this->input->post('tahun_transaksi'));
            $data_login            = $this->userlogin->user_login();
            $data_id_login         = $this->session->userdata('isloggedin');
            $tampil_tahun          = $this->select_model->getDataTahunTransaksi();
            // Data Arus Kas
            $data_arus_kas_arisan  = $this->select_model->getDataARusKasArisanFilterTanggal($bulan, $tahun);
            $masuk_kasbulanan      = $this->select_model->getDataARusKasArisanMasukFilterTanggal($bulan, $tahun);
            $Keluar_kasbulanan     = $this->select_model->getDataARusKasArisanKeluarFilterTanggal($bulan, $tahun);
            // echo '<pre>';
            // var_dump($bulan, $tahun, $data_arus_kas_arisan, $Keluar_kasbulanan);
            // die;
            $data = array(
                // Untuk memanggil halaman sesuai menu
                'folder'              => 'kas',
                'page'                => 'tanggal_tampil',
                'judul'               => 'Data Arus Kas || Bagian Kasir',
                'data_id_login'       => $data_id_login,
                'data_login'          => $data_login,
                'notif'               => $notif,
                'tampil_tahun'        => $tampil_tahun,
                'bulan'               => $bulan,
                'tahun'               => $tahun,
                // Isi data konten
                'arus_kas'            => $data_arus_kas_arisan,
                'masuk_bulanan'       => $masuk_kasbulanan,
                'keluar_bulanan'      => $Keluar_kasbulanan
            );
            $this->load->view('kasir/index', $data);
        }
    }
}

/* End of file ControllerArusKas.php and path \application\controllers\kasir\ControllerArusKas.php */